Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction

From: Robert Pluim <[email-masked]>
Date: Tue, 23 Oct 2018 12:07:17 +0200

martin rudalics <[email-masked]> writes:

>> Further testing under KDE shows three things:
>>
>> 1. I get a vertical scrollbar on the right for the echo
>>     area/minibuffer line but not the menubar using emacs -Q on
>>     unmodified emacs-26, so that was not introduced by this patch
>
> Hmmm... Could you investigatte why this happens?  Note that the echo
> area/minibuffer window by default hay a vertical scroll bar, just that
> it is hidden when the window height is less than the minimum length of
> the slider, see the following part of gtkutil.c:
>
>       if (hidden)
>         {
>           /* No room.  Hide scroll bar as some themes output a warning if
>              the height is less than the min size.  */
>           gtk_widget_hide (wparent);
>           gtk_widget_hide (wscroll);
>         }
>
> If you put a breakpoint at the 'if' you should see what's different
> between GNOME and KDE.

Under KDE the minimum slider length is 21, under GNOME itʼs the same,
but the reported height of the echo area is > msl under KDE. This
looks like another scaling issue (except in this case the scale factor
reported by GTK is 1, so I can't do anything to fix it).

>> 2. In unmodified emacs-26, the line separating the menu bar from the
>>     tool bar is solid, not dotted
>>
>> 3. I can get rid of the menu bar truncation issue by setting
>>     margin-bottom to 10px
>
> When you do that does the spearator become solid again?

No, then I get both a solid separator and a dotted one just underneath
it:

>> (but I still have the vertical scrollbar).
>
> Funny.  I suppose that vertical menu bar scroll bar is of no use, that
> is, you don't get any truncated items in a second row?

Correct.

Robert